summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-07-09 16:55:46 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-07-09 16:56:12 +0200
commit3ec2c9a86396339b91cb961888be16382558aa26 (patch)
tree23921e289297895a11badc993687c0b0aa633757 /kde-frameworks/kpackage
parentsys-libs/uclibc-ng: add keyword ~mips for version 1.0.23 (diff)
downloadgentoo-3ec2c9a86396339b91cb961888be16382558aa26.tar.gz
gentoo-3ec2c9a86396339b91cb961888be16382558aa26.tar.bz2
gentoo-3ec2c9a86396339b91cb961888be16382558aa26.zip
kde-frameworks/kpackage: Fix tests
Reported-by: Jonathan Lovelace <kingjon3377@gmail.com> Gentoo-bug: 621458 Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'kde-frameworks/kpackage')
-rw-r--r--kde-frameworks/kpackage/kpackage-5.36.0.ebuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/kde-frameworks/kpackage/kpackage-5.36.0.ebuild b/kde-frameworks/kpackage/kpackage-5.36.0.ebuild
index af3bd812d71..3bd47e59192 100644
--- a/kde-frameworks/kpackage/kpackage-5.36.0.ebuild
+++ b/kde-frameworks/kpackage/kpackage-5.36.0.ebuild
@@ -28,6 +28,10 @@ src_configure() {
}
src_test() {
+ # bug 621458
+ mkdir -p "${HOME}/.local/share/kservicetypes5" || die
+ cp "${S}"/src/kpackage/data/servicetypes/*desktop "${HOME}/.local/share/kservicetypes5/" || die
+
# tests cannot be run in parallel #606942
local myctestargs=(
-j1